# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Public Attributes | Static Public Attributes

# vl::Dae::Vert Struct Reference

COLLADA vertex. More...

`#include <DaeHelpers.hpp>`

List of all members.

## Public Member Functions

| Vert ()
bool | operator< (const Dae::Vert &other) const

## Public Attributes

size_t | mAttribIndex [MAX_ATTRIBS]
size_t | mIndex

## Static Public Attributes

static const int | MAX_ATTRIBS = 8

## Detailed Description

COLLADA vertex.

Definition at line 98 of file DaeHelpers.hpp.

## Constructor & Destructor Documentation

vl::Dae::Vert::Vert | ( | ) | `[inline]`

Definition at line 102 of file DaeHelpers.hpp.

References mAttribIndex, and mIndex.

## Member Function Documentation

bool vl::Dae::Vert::operator< | ( | const Dae::Vert & | other ) | const`[inline]`

Definition at line 108 of file DaeHelpers.hpp.

References mAttribIndex, and MAX_ATTRIBS.

## Member Data Documentation

const int vl::Dae::Vert::MAX_ATTRIBS = 8`[static]`

Definition at line 100 of file DaeHelpers.hpp.

Referenced by operator<().

size_t vl::Dae::Vert::mAttribIndex[MAX_ATTRIBS]

Definition at line 118 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::generateGeometry(), operator<(), and Vert().

size_t vl::Dae::Vert::mIndex

Definition at line 119 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::generateGeometry(), and Vert().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/COLLADA/DaeHelpers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:45:00.
Permission is granted to use this page to write and publish articles regarding Visualization Library.